Static Public Member Functions

# BinNavi.API.reil.ReilTranslator Class Reference

Translates native code to REIL code. More...

List of all members.

## Static Public Member Functions
static ReilGraph | translate (final BasicBlock block) throws InternalTranslationException
| Translates a basic block to REIL code.
static ReilFunction | translate (final Function function) throws InternalTranslationException
| Translates a function to REIL code.
static ReilFunction | translate (final View view) throws InternalTranslationException
| Translates a view to REIL code.
static List< ReilInstruction > | translateInstruction (final NativeArchitecture architecture, final Instruction instruction) throws InternalTranslationException
| Translates an instruction to REIL code.

## Detailed Description

Translator class that can be used to translate native assembler code into REIL code.

## Member Function Documentation

static ReilGraph BinNavi.API.reil.ReilTranslator.translate | ( | final BasicBlock | block | ) | throws InternalTranslationException `[static]`

Translates a single native code block to REIL code.

Parameters:

  | block | The input block.

Returns:
  The REIL code of the input block.

Exceptions:

  | InternalTranslationException | Thrown if something goes wrong during translation.

static ReilFunction BinNavi.API.reil.ReilTranslator.translate | ( | final Function | function | ) | throws InternalTranslationException `[static]`

Translates a complete function to REIL code.

Parameters:

  | function | The function to translate.

Returns:
  The translated REIL function object.

Exceptions:

  | InternalTranslationException | Thrown if something goes wrong during translation.

static ReilFunction BinNavi.API.reil.ReilTranslator.translate | ( | final View | view | ) | throws InternalTranslationException `[static]`

Translates a complete view to REIL code.

Parameters:

  | view | The view to translate.

Returns:
  The translated REIL function object.

Exceptions:

  | InternalTranslationException | Thrown if something goes wrong during translation.

static List<ReilInstruction> BinNavi.API.reil.ReilTranslator.translateInstruction | ( | final NativeArchitecture | architecture,
|  | final Instruction | instruction |
| ) |  |  | throws InternalTranslationException `[static]`

Translates a single instruction to REIL code.

Parameters:

  | architecture | The source architecture of the instruction.
  | instruction | The instruction to translate.

Returns:
  The generated REIL code for that instruction.

Exceptions:

  | InternalTranslationException | Thrown if something goes wrong during translation.